{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        init : function(){
            var t = this;
            var refreshInterval = 60;
            {{ modulename }}Obj.superclass.init.call(t);
            t.recordsperpage=10000;
            t.windowButtons.add=false;
            t.windowButtons.edit=false;
            t.windowButtons.delete=false;
            t.windowButtons.refresh=true;
            var routeName = t.modulename + '-showall';
            var route = Routing.getRoute(routeName);
			var data = {
				'pg': 1,
				'lm': t.recordsperpage
			};
			var url = Routing.generate(routeName, data);
            t.stores.main.url=url;
            const gridConfig = {
                pbar: new mj.pager({
                    pos: 'bottom',
                    beforePageText: false,
                    limit: t.recordsperpage,
                    defaultButtons:false,
                    elements: {first:false,prev:false,pages:false,next:false,last:false,selectLimit:false,refresh:true}
                }),
                cm: [
                    {header: "{{ 'CaseDeliver.client'|trans }}", dataIndex: 'client', width: 200},
                    {header: "{{ 'CaseDeliver.erprefnumber'|trans }}", dataIndex: 'erprefnumber', width: 100},
                    {header: "{{ 'CaseDeliver.opname'|trans }}", dataIndex: 'opname', width: 200},
                    {header: "{{ 'CaseDeliver.casename'|trans }}", dataIndex: 'casename', width: 200},
                    {header: "{{ 'CaseDeliver.packcapacity'|trans }}", dataIndex: 'packcapacity', width: 100, align:'right'}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'version',
                        hidden: true
                    })
                ]
            };
            t._setFormConfig(formConfig);
            t._Timer = false;
            t.grids.main.store.on("load",function(){
                if(t._Timer)
                    clearTimeout(t._Timer);
                t._Timer = setTimeout(function(){t.grids.main.load();},refreshInterval*1000);
            });

            t.grids.main.on('afterload', function(){
                for(var i=0;i<this.rows.length;i++){
                    var item=this.rows[i];
                    if(item.data.rowColor!='')
                        item.el[0].style.background=item.data.rowColor;
                }
            });
                
            t.win.on('beforeclose', function(){clearTimeout(t._Timer);});
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
